Microsoft SharePoint is not supported with version 4.0.30319.296 of the Microsoft .Net Runtime.

Problem

You try to configure SharePoint Diagnostic Studio for SharePoint 2010 and get the following error:

Microsoft SharePoint is not supported with version 4.0.30319.296 of the Microsoft .Net Runtime.

Solution

This occurs when you have Microsoft Windows Management Framework 3.0 (KB2506143) installed on your SharePoint server.

Note that if you installed this update, SharePoint 2010 Management Shell will also fail to work correctly unless you add the PowerShell.exe -version 2.0 parameter to your shortcut.

The best thing to do at this point is NOT to install Windows Management Framework 3.0

To uninstall it,

  • Go to Start -> Run -> appwiz.cpl
  • View Installed Updates
  • Under the group ‘Microsoft Windows’, locate the Microsoft Windows Management Framework 3.0 update
  • Uninstall

You will have to restart your server after uninstallation.

Re-run the SharePoint Diagnostic Studio configuration again and the error should no longer appear.

Tags: ,

No comments yet.

Leave a Reply

%d bloggers like this: